> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Update boleto

> Updates a boleto



## OpenAPI

````yaml api-reference/banking-api/openapi.json PUT /banking/cashin/boletos/{id}
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/cashin/boletos/{id}:
    put:
      tags:
        - cashin
      summary: Update boleto due date
      description: Updates a boleto due date
      operationId: TrioFoundationWeb.Banking.Cashin.BoletoController.update
      parameters:
        - description: Boleto Id
          in: path
          name: id
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Boleto_update_params'
        description: The dynamic brcode attributes
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Boleto_Response'
          description: Show
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401'
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/500'
          description: Internal server error
      callbacks: {}
      security:
        - {}
        - basic:
            - Base64encode(<client_id>:<client_secret>)
components:
  schemas:
    '401':
      example:
        error:
          error_code: UNAUTHORIZED
          error_message: Invalid credentials
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '401'
      type: object
    '500':
      example:
        error:
          error_code: INTEGRATION_ERROR
          error_message: An unexpected issue occurred
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '500'
      type: object
    UUID:
      description: Unique identifier
      format: uuid
      title: UUID
      type: string
    Boleto_update_params:
      description: Body params to update a boleto
      example:
        due_detail:
          due_date: '2024-08-10'
      properties:
        due_detail:
          properties:
            due_date:
              description: Due date of the boleto
              format: date
              type: string
          required:
            - due_date
          type: object
      title: Boleto_update_params
      type: object
    Boleto_Response:
      description: Response for boleto
      example:
        data:
          amount: 10000
          barcode: '12341111222233334444555566667777888899990000'
          boleto_url: https://example.com/boleto_1
          description: description
          digitable_line: '12341111222233334444555566667777888899990000'
          due_detail:
            discount:
              fixed_until_due:
                amounts:
                  - amount: 10
                    date: '2024-08-13'
                  - amount: 9
                    date: '2024-08-14'
                  - amount: 8
                    date: '2024-08-15'
                calculation_type: amount
              per_day_antecipated:
                amount: 2
                calculation_days: working
                calculation_type: amount
            due_date: '2024-08-10'
            fine:
              amount: 10
              calculation_type: percentage
            interest:
              amount: 20
              calculation_type: daily_rate
          expiration_date: '2024-08-30T23:59:59.999999Z'
          external_id: 0190b2a4-8a3b-d123-050e-8d659ace1e2d
          id: 0196f83d-cafa-f412-1f1d-129cdf2dda49
          invoice_type: commercial_duplicate
          issue_date: '2024-07-24T10:00:00.000000Z'
          notes:
            - note 1
            - note 2
            - note 3
          status: confirmed
          virtual_account_id: 0196f83d-cafa-f412-1f1d-129cdf2dda49
          wallet_type: direct_electronic_partial_emission_booklet
      properties:
        data:
          $ref: '#/components/schemas/Boleto_Response_Params'
      title: Boleto_Response
      type: object
    Boleto_Response_Params:
      description: Response Params for boleto
      example:
        data:
          amount: 10000
          barcode: '12341111222233334444555566667777888899990000'
          boleto_url: https://example.com/boleto_1
          description: description
          digitable_line: '12341111222233334444555566667777888899990000'
          due_detail:
            discount:
              fixed_until_due:
                amounts:
                  - amount: 10
                    date: '2024-08-13'
                  - amount: 9
                    date: '2024-08-14'
                  - amount: 8
                    date: '2024-08-15'
                calculation_type: amount
              per_day_antecipated:
                amount: 2
                calculation_days: working
                calculation_type: amount
            due_date: '2024-08-10'
            fine:
              amount: 10
              calculation_type: percentage
            interest:
              amount: 20
              calculation_type: daily_rate
          expiration_date: '2024-08-30T23:59:59.999999Z'
          external_id: 0190b2a4-8a3b-d123-050e-8d659ace1e2d
          id: 0196f83d-cafa-f412-1f1d-129cdf2dda49
          issue_date: '2024-07-24T10:00:00.000000Z'
          notes:
            - note 1
            - note 2
            - note 3
          status: confirmed
          virtual_account_id: 0196f83d-cafa-f412-1f1d-129cdf2dda49
      properties:
        amount:
          description: Amount of the boleto
          type: integer
        barcode:
          description: Barcode of the boleto
          type: string
        boleto_url:
          description: URL of the boleto
          type: string
        description:
          description: Description of the boleto
          type: string
        digitable_line:
          description: Digitable line of the boleto
          type: string
        due_detail:
          properties:
            discount:
              properties:
                fixed_until_due:
                  properties:
                    amounts:
                      items:
                        properties:
                          amount:
                            description: Amount of the discount
                            type: integer
                          date:
                            description: Date of the discount
                            type: string
                        type: object
                      type: array
                    calculation_type:
                      description: Calculation type of the discount
                      type: string
                  type: object
                per_day_antecipated:
                  properties:
                    amount:
                      description: Amount of the discount
                      type: integer
                    calculation_days:
                      description: Calculation days of the discount
                      type: string
                    calculation_type:
                      description: Calculation type of the discount
                      type: string
                  type: object
              type: object
            due_date:
              description: Due date of the DueDetail
              type: string
            fine:
              properties:
                amount:
                  description: Amount of the fine
                  type: integer
                calculation_type:
                  description: Calculation type of the fine
                  type: string
              type: object
            interest:
              properties:
                amount:
                  description: Amount of the interest
                  type: integer
                calculation_type:
                  description: Calculation type of the interest
                  type: string
              type: object
          type: object
        expiration_date:
          description: Expiration date of the boleto
          type: string
        external_id:
          description: External ID of the boleto
          type: string
        id:
          description: ID of the boleto
          type: string
        invoice_type:
          description: Invoice type of the boleto
          type: string
        issue_date:
          description: Issue date of the boleto
          type: string
        notes:
          items:
            type: string
          type: array
        status:
          description: Status of the boleto
          type: string
        virtual_account_id:
          description: Virtual account ID of the boleto
          type: string
        wallet_type:
          description: Wallet type of the boleto
          type: string
      title: Boleto_Response_Params
      type: object
  securitySchemes:
    basic:
      scheme: basic
      type: http

````